const {ccclass, property} = cc._decorator;

@ccclass
export default class MainScript extends cc.Component {

    @property(cc.Prefab)
    parentPrefab: cc.Prefab = null;

    onLoad() {
        let prefab = cc.instantiate(this.parentPrefab);
        prefab.anchorX = 1;
        this.node.addChild(prefab);
    }

    start () {
        this.node.anchorX = 0;
        this.schedule(()=>{
            this.node.anchorX = 1 - this.node.anchorX;
        }, 2);
    }
}
